Package fr.gouv.vitam.functionaltest.cucumber.step

# Class OntologyStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.OntologyStep

public class OntologyStep extends CommonStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OntologyStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `forceImportOntology()`
  `void`
  `importOntology()`
  `void`
  `ontology_string_size_is(String stringSize)`
  `void`
  `ontology_type_detail_is(String typeDetail)`
  `void`
  `ontology_type_is(String type)`
  `void`
  `searchOntologyByIdentifier(String identifier)`
  `void`
  `setFileName(String fileName)`
  define a ontology file

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OntologyStep

    public OntologyStep(World world)

- ## Method Details

  - ### setFileName

    @Given("^un fichier ontologie nomm\u00e9 (.*)$") public void setFileName(String fileName)
    define a ontology file
    Parameters:
      `fileName` - name of a sip

  - ### importOntology

    @When("^j\'importe l\'ontologie$") public void importOntology() throws InvalidParseOperationException, AccessExternalClientException, IOException
    Throws:
      `InvalidParseOperationException`
      `AccessExternalClientException`
      `IOException`

  - ### forceImportOntology

    @When("^j\'importe l\'ontologie en mode forc\u00e9$") public void forceImportOntology() throws InvalidParseOperationException, AccessExternalClientException, IOException
    Throws:
      `InvalidParseOperationException`
      `AccessExternalClientException`
      `IOException`

  - ### searchOntologyByIdentifier

    @When("^je recherche le vocabulaire intitul\u00e9 (.*)$") public void searchOntologyByIdentifier(String identifier) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### ontology_type_is

    @Then("^le type du vocabulaire est (.*)$") public void ontology_type_is(String type)

  - ### ontology_type_detail_is

    @Then("^le type d\u00e9taill\u00e9 du vocabulaire est (.*)$") public void ontology_type_detail_is(String typeDetail)

  - ### ontology_string_size_is

    @Then("^la taille de la cha\u00eene de caract\u00e8re du vocabulaire est (.*)$") public void ontology_string_size_is(String stringSize)